import React, { useMemo } from 'react';
import DetailPro from '@/components/DetailPro';
import AutoTable from '@/components/AutoTable/mtable';
import { Tooltip } from "antd";
const Leaseresume = ({ setdrawer, drawer }) => {
    const columns = [
        {
            title: '客户名称',
            dataIndex: 'f1',
            key: 'f1',
        },
        {
            title: '开始租赁日期',
            dataIndex: 'f3',
            key: 'f3',
            valueType: 'dateRange',
        },
        {
            title: '实际结束日期',
            dataIndex: 'f4',
            key: 'f4',
            valueType: 'dateRange',
        },
        {
            title: '相关单号',
            dataIndex: 'f2',
            key: 'f2',
            render: (_, row) => {
                return (
                    <Tooltip title={row.f2}>
                        <a
                            className="table-cell"
                            onClick={() => {

                            }}
                        >
                            {row.f2}
                        </a>
                    </Tooltip>
                );
            }
        },
    ];
    return (
        <AutoTable
            columns={columns}
            path={'/'}
            resizeable={false}
            dataSource={[{ f1: '111', f2: '222', id: 1, status: 1, f12: 1, intelligentUnit: '11' }]}
            pageextra="none"
            bordered={false}
        />
    );
};
export default Leaseresume;
